#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOUserDelete()
#   Usable environment variable:
#       NITEMS, USER_NAME_X, USER_OP_RESULT_X, RESULT
###############################################################

#Include common scripts
. /var/packages/CloudStation/target/scripts/CloudStationCommon

#At begining, acquire package settings
PackageInfoGet;

USER_DEL_ACT="UserDel"

case $1 in
    --sdk-mod-ver)
	    #Print SDK support version
        echo "1.0";
    	;;

    --name)
        #Print package name
        echo ${CSTN_PKG_NAME};
    	;;

    --pkg-ver)
        #Print package version
        echo ${CSTN_PKG_VERSION};
    	;;

    --vendor)
        #Print package vendor
        echo ${CSTN_PKG_VENDOR};
    	;;

    --pre)
    
    	is_cstn_upgrade_process_done;    	
    	if [ 0 -eq $? ]; then
			exit 0;
        fi
        
		local usr_idx=1;
		local usr_cnt=$(($NITEMS + 1));

		InfoMsg "$USER_DEL_ACT" "Pre-del: start ..."

        while [ "$usr_idx" != "$usr_cnt" ]
        do
            eval "usr_name=\$USER_NAME_$usr_idx"
			InfoMsg "$USER_DEL_ACT" "Pre-del: try to stop user $usr_name ..."
			InfoMsg "$USER_DEL_ACT" "Post-del: stop user $usr_name ..."
			${CSTN_USRCTL_BIN} -s 0 "$usr_name" 0 0 > /dev/null 2>&1;
            usr_idx=$(($usr_idx + 1));
        done
    	;;

    --post)
    
    	is_cstn_upgrade_process_done;    	
    	if [ 0 -eq $? ]; then
			exit 0;
        fi
        
		local usr_idx=1;
		local usr_cnt=$(($NITEMS + 1));

		InfoMsg "$USER_DEL_ACT" "Post-del: post-action ..."
        while [ "$usr_idx" != "$usr_cnt" ]
        do
            eval "usr_name=\$USER_NAME_$usr_idx"
			eval "usr_ret=\$USER_OP_RESULT_$usr_idx"
	
			InfoMsg "$USER_DEL_ACT" "Post-del: try to stop user $usr_name ..."
			if [ "0x0000" = "${usr_ret}" ]; then
				InfoMsg "$USER_DEL_ACT" "Post-del: stop user $usr_name ..."
				${CSTN_USRCTL_BIN} -d 0 "$usr_name" 0 1 > /dev/null 2>&1;
			else
				${CSTN_USRCTL_BIN} -s 0 "$usr_name" 1 0 > /dev/null 2>&1;
			fi
            usr_idx=$(($usr_idx + 1));
        done

		touch "${CSTN_RELOAD_USERDB_CACHE_MARK}"
    	;;
    *)
        echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
    	;;
esac
