#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOShareSet()
#   Usable environment variable:
#       ORIGIN_SHARE_NAME, SHARE_NAME, ORIGIN_SHARE_PATH, SHARE_PATH,
#       ORIGIN_SHARE_STATUS, SHARE_STATUS
#
#   Note: The script should bear to be invoked multiple times 
###############################################################

case $1 in
    --sdk-mod-ver)
		#Print SDK support version
		version=`/var/packages/CloudStation/target/scripts/CSTNShareSet.sh --sdk-mod-ver`
		echo "$version";
    	;;
    --name)
		#Print package name
		name=`/var/packages/CloudStation/target/scripts/CSTNShareSet.sh --name`
		echo "$name";
    	;;
    --pkg-ver)
		#Print package version
		pkg_ver=`/var/packages/CloudStation/target/scripts/CSTNShareSet.sh --pkg-ver`
		echo "$pkg_ver";
    	;;
    --vendor)
		#Print package vendor
		vendor=`/var/packages/CloudStation/target/scripts/CSTNShareSet.sh --vendor`
		echo "$vendor";
    	;;
    --pre)
		/var/packages/CloudStation/target/scripts/CSTNShareSet.sh --pre
    	;;
    --post)
		/var/packages/CloudStation/target/scripts/CSTNShareSet.sh --post
    	;;
    *)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
    	;;
esac

